<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_shm_entry_t Union Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_shm_entry_t Union Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc__priv.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_shm_entry_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Object Descriptor Shared memory entry which can hold any of the supported object descriptor types. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a102eba4a28c9ee5424400966800765fd">cmd</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a2f19721659c34d7c8baf1baed986b82c">node</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__image__t.html">tivx_obj_desc_image_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a5bef16cb8b48f9d05e74f97d050fc095">image</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__remap__t.html">tivx_obj_desc_remap_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#aed936ba55e41621c4f675dcbf1db2f77">remap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__matrix__t.html">tivx_obj_desc_matrix_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ad9500ced9c5373408f56c18b314a3784">matrix</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__lut__t.html">tivx_obj_desc_lut_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ad15427f6e8607b60668057829ef8f0fd">lut</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__pyramid__t.html">tivx_obj_desc_pyramid_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a6bca91bb1cd9a7cf0998462873cabe71">pyramid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__convolution__t.html">tivx_obj_desc_convolution_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#adc931f8f3a42b46037024919e340a235">convolution</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__threshold__t.html">tivx_obj_desc_threshold_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a56f98a968bca292f84db0ac8893d9e5c">threshold</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__distribution__t.html">tivx_obj_desc_distribution_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ac081c0323d4218a09cb83341162a7796">distribution</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__array__t.html">tivx_obj_desc_array_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a5bdee0acc3780763ee89fb194706db78">array</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__objarray__t.html">tivx_obj_desc_objarray_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a32dd37aa65ec45225dd87ce094218092">objarray</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__scalar__t.html">tivx_obj_desc_scalar_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="uniontivx__obj__desc__shm__entry__t.html#af4332967abf73a5279afb492d5deda52">scalar</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a102eba4a28c9ee5424400966800765fd"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::cmd" ref="a102eba4a28c9ee5424400966800765fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__cmd__t.html">tivx_obj_desc_cmd_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a102eba4a28c9ee5424400966800765fd">tivx_obj_desc_shm_entry_t::cmd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2f19721659c34d7c8baf1baed986b82c"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::node" ref="a2f19721659c34d7c8baf1baed986b82c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__node__t.html">tivx_obj_desc_node_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a2f19721659c34d7c8baf1baed986b82c">tivx_obj_desc_shm_entry_t::node</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5bef16cb8b48f9d05e74f97d050fc095"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::image" ref="a5bef16cb8b48f9d05e74f97d050fc095" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__image__t.html">tivx_obj_desc_image_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a5bef16cb8b48f9d05e74f97d050fc095">tivx_obj_desc_shm_entry_t::image</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aed936ba55e41621c4f675dcbf1db2f77"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::remap" ref="aed936ba55e41621c4f675dcbf1db2f77" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__remap__t.html">tivx_obj_desc_remap_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#aed936ba55e41621c4f675dcbf1db2f77">tivx_obj_desc_shm_entry_t::remap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad9500ced9c5373408f56c18b314a3784"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::matrix" ref="ad9500ced9c5373408f56c18b314a3784" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__matrix__t.html">tivx_obj_desc_matrix_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ad9500ced9c5373408f56c18b314a3784">tivx_obj_desc_shm_entry_t::matrix</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad15427f6e8607b60668057829ef8f0fd"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::lut" ref="ad15427f6e8607b60668057829ef8f0fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__lut__t.html">tivx_obj_desc_lut_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ad15427f6e8607b60668057829ef8f0fd">tivx_obj_desc_shm_entry_t::lut</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6bca91bb1cd9a7cf0998462873cabe71"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::pyramid" ref="a6bca91bb1cd9a7cf0998462873cabe71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__pyramid__t.html">tivx_obj_desc_pyramid_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a6bca91bb1cd9a7cf0998462873cabe71">tivx_obj_desc_shm_entry_t::pyramid</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="adc931f8f3a42b46037024919e340a235"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::convolution" ref="adc931f8f3a42b46037024919e340a235" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__convolution__t.html">tivx_obj_desc_convolution_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#adc931f8f3a42b46037024919e340a235">tivx_obj_desc_shm_entry_t::convolution</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a56f98a968bca292f84db0ac8893d9e5c"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::threshold" ref="a56f98a968bca292f84db0ac8893d9e5c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__threshold__t.html">tivx_obj_desc_threshold_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a56f98a968bca292f84db0ac8893d9e5c">tivx_obj_desc_shm_entry_t::threshold</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac081c0323d4218a09cb83341162a7796"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::distribution" ref="ac081c0323d4218a09cb83341162a7796" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__distribution__t.html">tivx_obj_desc_distribution_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#ac081c0323d4218a09cb83341162a7796">tivx_obj_desc_shm_entry_t::distribution</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5bdee0acc3780763ee89fb194706db78"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::array" ref="a5bdee0acc3780763ee89fb194706db78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__array__t.html">tivx_obj_desc_array_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a5bdee0acc3780763ee89fb194706db78">tivx_obj_desc_shm_entry_t::array</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a32dd37aa65ec45225dd87ce094218092"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::objarray" ref="a32dd37aa65ec45225dd87ce094218092" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__objarray__t.html">tivx_obj_desc_objarray_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#a32dd37aa65ec45225dd87ce094218092">tivx_obj_desc_shm_entry_t::objarray</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af4332967abf73a5279afb492d5deda52"></a><!-- doxytag: member="tivx_obj_desc_shm_entry_t::scalar" ref="af4332967abf73a5279afb492d5deda52" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__scalar__t.html">tivx_obj_desc_scalar_t</a> <a class="el" href="uniontivx__obj__desc__shm__entry__t.html#af4332967abf73a5279afb492d5deda52">tivx_obj_desc_shm_entry_t::scalar</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
